Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.thinger.service.command
Enum CommandResponse.CompletionDisposition

    java.lang.Object
      java.lang.Enum<CommandResponse.CompletionDisposition>
          things.thinger.service.command.CommandResponse.CompletionDisposition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CommandResponse.CompletionDisposition>

Enclosing interface:
  CommandResponse

    public static enum CommandResponse.CompletionDisposition

extends java.lang.Enum<CommandResponse.CompletionDisposition>

The completion disposition describes the response. They are as follows:

`OPEN : the reponse is not done.
GOOD : the response is done and well formed.
BAD : the response is done but violates the scheme.
`

Enum Constant Summary
`BAD`
`GOOD`
`OPEN`

Method Summary
`static CommandResponse.CompletionDisposition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CommandResponse.CompletionDisposition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPEN

    public static final CommandResponse.CompletionDisposition OPEN

### GOOD

    public static final CommandResponse.CompletionDisposition GOOD

### BAD

    public static final CommandResponse.CompletionDisposition BAD

Method Detail

### values

    public static CommandResponse.CompletionDisposition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CommandResponse.CompletionDisposition c : CommandResponse.CompletionDisposition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CommandResponse.CompletionDisposition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.